Collections
Date: 2016-06-24

java.util

## Class Collections

- java.lang.Object
- - java.util.Collections

-     public class Collections
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static List` | `EMPTY_LIST`
    `static Map` | `EMPTY_MAP`
    `static Set` | `EMPTY_SET`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static int` | `binarySearch(List var0, Object var1)`
    `static int` | `binarySearch(List var0, Object var1, Comparator var2)`
    `static void` | `copy(List var0, List var1)`
    `static Enumeration` | `enumeration(Collection var0)`
    `static void` | `fill(List var0, Object var1)`
    `static int` | `indexOfSubList(List var0, List var1)`
    `static int` | `lastIndexOfSubList(List var0, List var1)`
    `static ArrayList` | `list(Enumeration var0)`
    `static Object` | `max(Collection var0)`
    `static Object` | `max(Collection var0, Comparator var1)`
    `static Object` | `min(Collection var0)`
    `static Object` | `min(Collection var0, Comparator var1)`
    `static List` | `nCopies(int var0, Object var1)`
    `static boolean` | `replaceAll(List var0, Object var1, Object var2)`
    `static void` | `reverse(List var0)`
    `static Comparator` | `reverseOrder()`
    `static void` | `rotate(List var0, int var1)`
    `static void` | `shuffle(List var0)`
    `static void` | `shuffle(List var0, Random var1)`
    `static Set` | `singleton(Object var0)`
    `static List` | `singletonList(Object var0)`
    `static Map` | `singletonMap(Object var0, Object var1)`
    `static void` | `sort(List var0)`
    `static void` | `sort(List var0, Comparator var1)`
    `static void` | `swap(List var0, int var1, int var2)`
    `static Collection` | `synchronizedCollection(Collection var0)`
    `static List` | `synchronizedList(List var0)`
    `static Map` | `synchronizedMap(Map var0)`
    `static Set` | `synchronizedSet(Set var0)`
    `static SortedMap` | `synchronizedSortedMap(SortedMap var0)`
    `static SortedSet` | `synchronizedSortedSet(SortedSet var0)`
    `static Collection` | `unmodifiableCollection(Collection var0)`
    `static List` | `unmodifiableList(List var0)`
    `static Map` | `unmodifiableMap(Map var0)`
    `static Set` | `unmodifiableSet(Set var0)`
    `static SortedMap` | `unmodifiableSortedMap(SortedMap var0)`
    `static SortedSet` | `unmodifiableSortedSet(SortedSet var0)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### EMPTY_LIST

          public static final List EMPTY_LIST

    - #### EMPTY_MAP

          public static final Map EMPTY_MAP

    - #### EMPTY_SET

          public static final Set EMPTY_SET

  - ### Method Detail

    - #### binarySearch

          public static int binarySearch(List var0,
                         Object var1)

    - #### binarySearch

          public static int binarySearch(List var0,
                         Object var1,
                         Comparator var2)

    - #### copy

          public static void copy(List var0,
                  List var1)

    - #### enumeration

          public static Enumeration enumeration(Collection var0)

    - #### fill

          public static void fill(List var0,
                  Object var1)

    - #### indexOfSubList

          public static int indexOfSubList(List var0,
                           List var1)

    - #### lastIndexOfSubList

          public static int lastIndexOfSubList(List var0,
                               List var1)

    - #### list

          public static ArrayList list(Enumeration var0)

    - #### max

          public static Object max(Collection var0)

    - #### max

          public static Object max(Collection var0,
                   Comparator var1)

    - #### min

          public static Object min(Collection var0)

    - #### min

          public static Object min(Collection var0,
                   Comparator var1)

    - #### nCopies

          public static List nCopies(int var0,
                     Object var1)

    - #### replaceAll

          public static boolean replaceAll(List var0,
                           Object var1,
                           Object var2)

    - #### reverse

          public static void reverse(List var0)

    - #### reverseOrder

          public static Comparator reverseOrder()

    - #### rotate

          public static void rotate(List var0,
                    int var1)

    - #### shuffle

          public static void shuffle(List var0)

    - #### shuffle

          public static void shuffle(List var0,
                     Random var1)

    - #### singleton

          public static Set singleton(Object var0)

    - #### singletonList

          public static List singletonList(Object var0)

    - #### singletonMap

          public static Map singletonMap(Object var0,
                         Object var1)

    - #### sort

          public static void sort(List var0)

    - #### sort

          public static void sort(List var0,
                  Comparator var1)

    - #### swap

          public static void swap(List var0,
                  int var1,
                  int var2)

    - #### synchronizedCollection

          public static Collection synchronizedCollection(Collection var0)

    - #### synchronizedList

          public static List synchronizedList(List var0)

    - #### synchronizedMap

          public static Map synchronizedMap(Map var0)

    - #### synchronizedSet

          public static Set synchronizedSet(Set var0)

    - #### synchronizedSortedMap

          public static SortedMap synchronizedSortedMap(SortedMap var0)

    - #### synchronizedSortedSet

          public static SortedSet synchronizedSortedSet(SortedSet var0)

    - #### unmodifiableCollection

          public static Collection unmodifiableCollection(Collection var0)

    - #### unmodifiableList

          public static List unmodifiableList(List var0)

    - #### unmodifiableMap

          public static Map unmodifiableMap(Map var0)

    - #### unmodifiableSet

          public static Set unmodifiableSet(Set var0)

    - #### unmodifiableSortedMap

          public static SortedMap unmodifiableSortedMap(SortedMap var0)

    - #### unmodifiableSortedSet

          public static SortedSet unmodifiableSortedSet(SortedSet var0)